/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: ioerrors.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "ioerrors.h"
#include <qmap.h>
#include <qiodevice.h>

#include <cerrno>
#include <cstring>

namespace
{
	class MapIOErrors
	{
	public:
		MapIOErrors()
		{
			ioErrors_[IO_Ok]			= "The operation was successful.";
			ioErrors_[IO_ReadError]		= "Could not read from the device.";
			ioErrors_[IO_WriteError]	= "Could not write to the device.";
			ioErrors_[IO_FatalError]	= "A fatal unrecoverable error occurred.";
			ioErrors_[IO_OpenError]		= "Could not open the device.";
			ioErrors_[IO_ConnectError]	= "Could not connect to the device.";
			ioErrors_[IO_AbortError]	= "The operation was unexpectedly aborted.";
			ioErrors_[IO_TimeOutError]	= "The operation timed out.";
			ioErrors_[IO_UnspecifiedError]	= "An unspecified error happened on close.";
		}

		QString operator[]( int status )
		{
			static const QString unknow("Erreur inconnue.");
			const QString err = ioErrors_[status];
			return err.isEmpty() ? unknow : err;
		}

	private:
		QMap<int,QString>	ioErrors_;
	};

};

QString getIoError( int status )
{
	// FIXME: status vaut toujours IO_ConnectError ??
	static MapIOErrors mapIOErrors;
	return mapIOErrors[status] + ' ' + strerror(errno) + '.';
}


