/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: icons.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "icons.h"
#include "config/config.h"
#include <qfile.h>
#include <cstdlib>

namespace
{
	const QString GB_pngPath = "png";
	const QString GB_sysPngPath( "/usr/share/icons/hicolor/16x16/actions" );
};

Icons::Icons()
{
	QString iconPath = Config::instance().workingPath();

	
	mainF1_.load( iconPath + "/iconF1.xpm" );
	F1_.load( iconPath + "/f1_48_32.xpm" );

	const char* env = std::getenv( "ICONS_PISTEF1" );
	if ( env == NULL )
	{
		if ( QFile::exists( GB_sysPngPath ) )
			iconPath = GB_sysPngPath;
		else
			iconPath += '/' + GB_pngPath;
	}
	else
		iconPath = env;

	fileOpen_.load( iconPath + "/fileopen.png" );
	fileSave_.load( iconPath + "/filesave.png" );
	exit_.load( iconPath + "/exit.png" );

	start_.load( iconPath + "/flag.png" );
	pause_.load( iconPath + "/blend.png" );
	step_.load( iconPath + "/goto.png" );
	stop_.load( iconPath + "/stop.png" );

	undo_.load( iconPath + "/undo.png" );
	redo_.load( iconPath + "/redo.png" );
	refresh_.load( iconPath + "/reload.png" );
}

const Icons& Icons::instance()
{
	static Icons unique;
	return unique;
}



