/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: icons.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef ICONS_H
#define ICONS_H
#include <qpixmap.h>

class Icons
{
public:
	static const Icons& instance();

	const QPixmap&	mainF1()		const { return mainF1_; }
	const QPixmap&	editor()		const { return F1_; }
	const QPixmap&	simulator()		const { return F1_; }

	const QPixmap&	fileOpen()		const { return fileOpen_; }
	const QPixmap&	fileSave()		const { return fileSave_; }
	const QPixmap&	exit()			const { return exit_; }

	const QPixmap&	start()			const { return start_; }
	const QPixmap	pause()			const { return pause_; }
	const QPixmap	step()			const { return step_; }
	const QPixmap&	stop()			const { return stop_; }

	const QPixmap&	undo()			const { return undo_; }
	const QPixmap&	redo()			const { return redo_; }
	const QPixmap&	refresh()		const { return refresh_; }

private:
	Icons();
	Icons( const Icons& ) {}
	void operator=( const Icons& ) {}

private:
	QPixmap	mainF1_;
	QPixmap	F1_;

	QPixmap fileOpen_;
	QPixmap fileSave_;
	QPixmap exit_;

	QPixmap	start_;
	QPixmap	pause_;
	QPixmap	step_;
	QPixmap	stop_;

	QPixmap	undo_;
	QPixmap	redo_;
	QPixmap	refresh_;
};

#endif	// ICONS_H

