/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: mainf1.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef MAINTRACK_H
#define MAINTRACK_H

#include <qmenubar.h>
#include <qguardedptr.h> 

class TrackEditor;
class TrackSimulator;
class WizardHelp;
class MainF1 : public QMenuBar
{
Q_OBJECT
public:
	MainF1();

private slots:
	void			helpEditor();
	void			helpSimulator();
	void			helpLog();
	void			aboutF1();
	void			aboutQT();

	void			config();

	void			trackEditor();
	void			trackSimulator();
	
private:
	void			help( /*WizardHelp::Type*/ int );

	override void	closeEvent( QCloseEvent* );
	override void	showEvent( QShowEvent* );
	override void	hideEvent( QHideEvent* );

private:
	QGuardedPtr<TrackEditor>	trackEditor_;
	QGuardedPtr<TrackSimulator>	trackSimulator_;
	QGuardedPtr<WizardHelp>		wizardHelp_;

	bool 						upEditor_;
	bool						upSimulator_;
};


#endif	// MAINTRACK_H
