/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: listshapepixel.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "listshapepixel.h"

ListShapePixel::MapListShapePixel
							ListShapePixel::shapeVector_(ListShapePixel::max);

ShapePixel*	ListShapePixel::current_;

ListShapePixel& ListShapePixel::instance()
{
	static ListShapePixel unique;
	return unique;
}

ListShapePixel::ListShapePixel()
{
	shapeVector_.setAutoDelete( true );
	shapeVector_.insert(  0, new ShapePixel( ' ', Qt::darkGray,		"Gris (piste)" ) );
	current_ = shapeVector_[0];
	shapeVector_.insert(  1, new ShapePixel( 'A', Qt::black,		"Noir" ) );
	shapeVector_.insert(  2, new ShapePixel( 'B', Qt::darkRed,		"Rouge fonc" ) );
	shapeVector_.insert(  3, new ShapePixel( 'C', Qt::darkGreen,	"Vert fonc" ) );
	shapeVector_.insert(  4, new ShapePixel( 'D', Qt::darkYellow,	"Jaune fonc" ) );
	shapeVector_.insert(  5, new ShapePixel( 'E', Qt::darkBlue,		"Bleu fonc" ) );
	shapeVector_.insert(  6, new ShapePixel( 'F', Qt::darkMagenta,	"Magenta fonc" ) );
	shapeVector_.insert(  7, new ShapePixel( 'G', Qt::darkCyan,		"Cyan fonc" ) );
	shapeVector_.insert(  8, new ShapePixel( 'H', Qt::lightGray,	"Gris clair" ) );
	shapeVector_.insert(  9, new ShapePixel( 'J', Qt::red,			"Rouge" ) );
	shapeVector_.insert( 10, new ShapePixel( 'K', Qt::green,		"Vert" ) );
	shapeVector_.insert( 11, new ShapePixel( 'L', Qt::yellow,		"Jaune" ) );
	shapeVector_.insert( 12, new ShapePixel( 'M', Qt::blue,			"Bleu" ) );
	shapeVector_.insert( 13, new ShapePixel( 'N', Qt::magenta,		"Magenta" ) );
	shapeVector_.insert( 14, new ShapePixel( 'O', Qt::cyan,			"Cyan" ) );
	shapeVector_.insert( 15, new ShapePixel( 'P', Qt::white,		"Blanc" ) );
}

int	ListShapePixel::id( const QColor& c )
{
	int index = 0;
	while ( shapeVector_[index]->color() != c ) ++index;
	assert( index >= 0 && index < max );
	return index;
}

bool ListShapePixel::search( const QColor& color )
{
	for ( int i = 0; i < max; ++i )
	{
		if ( shapeVector_[i]->color() == color )
		{
			current_ = shapeVector_[i];
			return true;
		}
	}
	return false;
}

bool ListShapePixel::search( char ascii )
{
	for ( int i = 0; i < max; ++i )
	{
		if ( shapeVector_[i]->ascii() == ascii )
		{
			current_ = shapeVector_[i];
			return true;
		}
	}

	return false;
}


