/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: shapepixel.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef SHAPEPIXEL_H
#define SHAPEPIXEL_H
//============================================================================
//	ShapePixel	:
//		Dfinie la forme du pixel.
//		La forme est :
//			une couleur  l'cran.
//			un caractre ascii dans un fichier.
//
//	Seule la class amie ListShapePixel peut crer un ShapePixel.
//	ShapePixel n'est pas copiable.
//
//============================================================================

#include <qstring.h>
#include <qcolor.h>
#include <cstdlib>		// abort

class ListShapePixel;
class ShapePixel
{
public:
	char			ascii()	const { return ascii_; }
	const QColor&	color()	const { return color_; }
	const QString&	name()	const { return name_; }
	
private:
	friend	ListShapePixel;
	ShapePixel( char ascii, const QColor& color, const char* cname )
	:	 ascii_(ascii)
		,color_(color)
		,name_(cname)
	{}

	ShapePixel( const ShapePixel& ) { std::abort(); }
	void operator=( const ShapePixel& ) { std::abort(); }

private:
	const char		ascii_;
	const QColor	color_;
	const QString	name_;
};

#endif	//SHAPEPIXEL_H

