/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: script.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "script.h"

#include <cstdlib>	//system
#include <cstring>	//strerror
#include <cerrno>	//errno

const QString Script::logFile("/tmp/script_exec.log");

bool Script::exec()
{
	const QString	cmd	= name_ + ' ' + params_ + " 2> " + logFile;
	const int		r	= std::system( cmd.latin1() );
	switch ( r )
	{
	case 127:
		msgError_ = "le script " + cmd + " n'a pus tre lanc !";
		break;

	case -1:
		msgError_ = cmd + " : erreur systme : " + std::strerror(errno) + ".";
		break;
	
	case 0:
		msgError_ = "";
		return true;
	
	case 768:	//???????????????????????????????????????????
		msgError_ = cmd + " code erreur 3.";
		break;
	
	default:
		msgError_ = cmd + " code erreur = " + QString::number(r) + ".";
		return true;
	}

	return false;
}

