/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogselectarea.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef DIALOGSELECTAREA_H
#define DIALOGSELECTAREA_H
//==========================================================================
//	Bote de dialog permettant slectionner une zone  coloriser.
//
//	emet les signaux:
//		close					: la bote est ferme.
//		areaChanged( int, int )	: la zone a chang.
//		paintArea( int, int )	: paindre la zone slectionne.
//==========================================================================

#include <qdialog.h>
class WidgetInputPixel;
class QLCDNumber;
class DialogSelectArea : public QDialog
{
Q_OBJECT
public:
	DialogSelectArea( QWidget* parent, const char* name=0 );

	override void	polish();

	void			initStarterArea();

	int				topLeftPixel()		const;
	int				bottomRightPixel()	const;

signals:
	void close();
	void areaChanged( int topLeft, int bottomRight );	// zone slectionne.
	void paintArea( int topLeft, int bottomRight );		// coloriser la zone.

private slots:
	void newArea( int );
	void colorize();

private:
	WidgetInputPixel*	topPixel_;
	WidgetInputPixel* bottomPixel_;

	QLCDNumber*	lcdNumberTotalPixels_;
};

#endif	//	DIALOGSELECTAREA_H

