/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: trackmainwindow.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef TRACKMAINWINDOW_H
#define TRACKMAINWINDOW_H

//============================================================================
//	TrackMainWindow:
//		Gestion minimum d'une piste:
//			- lectures
//			- sauvegardes
//
//	Les signaux message et warning de widgetTrack_ sont captur pour tre
//	envoys dans la barre de status.
//
//============================================================================

#include <qmainwindow.h>

class QLayout;
class QHBoxLayout;
class WidgetTrack;
class QStatusBar;
class Config;
class TrackMainWindow : public QMainWindow
{
Q_OBJECT
protected:
	enum Type { TrackSimulator, Edit };
	TrackMainWindow( Type config, QWidget* parent, const char* name );

	override void	polish();

	void			addTopBar( QWidget* );
	QWidget*		parentTopBar() { return centralWidget_; }
	void			addTopBar( QLayout* );
	void			addSeparatorTopBar();

	QString			trackName() const;
	virtual void	load( const QString& fileTrack );

	// Si la piste est modifie, demande  l'utilisateur l'action 
	// entreprendre.
	bool			testSaveDialog();

signals:
	void help();

protected slots:
	virtual bool	save();			// sauve une piste
	bool			saveDialog();	// demande le nom du fichier puis appel
									// bool save()
	void 			loadTrack();	// demande le nom d'une piste  charger.

	void			warning( bool error, const QString& );

protected:
	QString			trackName_;
	WidgetTrack*	widgetTrack_;

	Config&			config_;

protected:
	QStatusBar&		statusBar_;			// raccourcie.

private:
	QWidget*		centralWidget_;
	QHBoxLayout*	topLayout_;
};

inline QString TrackMainWindow::trackName() const
{
	return trackName_;
}

#endif	//TRACKMAINWINDOW_H


