/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogpauseon.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "dialogpauseon.h"

#include <qlayout.h>
#include <qcheckbox.h>
#include <qpushbutton.h>

#include "wdivers/widgetinputpixel.h"

DialogPauseOn::DialogPauseOn( int px, int py, QWidget* parent,
															const char* name )
:	 QDialog( parent, name, true )
	,pausex_(px)
	,pausey_(py)
{
	setCaption( "PAUSE SUR" );

	QGridLayout* gridLayout = new QGridLayout( this ); 
	gridLayout->setSpacing( 6 );
	gridLayout->setMargin( 11 );

	QCheckBox* checkBoxTrace =
				new QCheckBox( "Arrt sur nouvelle ligne dans la log.", this );
	connect( checkBoxTrace, SIGNAL(toggled(bool)), SLOT(traceChecked(bool)) );
	gridLayout->addWidget( checkBoxTrace, 0, 0 );

	winputPixel_ = new WidgetInputPixel( "Coordonnes Pixel", this );
	winputPixel_->setXY( px, py );
	xyChanged( 0 /*bidon*/ );
	connect( winputPixel_, SIGNAL(valueChanged(int)), SLOT(xyChanged(int)) );
	gridLayout->addWidget( winputPixel_, 1, 0 );

	QHBoxLayout* layoutBtns = new QHBoxLayout; 
	layoutBtns->setSpacing( 6 );
	layoutBtns->setMargin( 0 );

	layoutBtns->addItem( new QSpacerItem( 20, 20 ) );

	QPushButton* btnOk = new QPushButton( "Valider", this );
	connect( btnOk, SIGNAL(clicked()), SLOT(accept()) );
	layoutBtns->addWidget( btnOk );

	QPushButton* btnCancel = new QPushButton( "Annuler", this );
	connect( btnCancel, SIGNAL(clicked()), SLOT(reject()) );
	layoutBtns->addWidget( btnCancel );

	gridLayout->addLayout( layoutBtns, 2, 0 );

	if ( px == -2 )
		checkBoxTrace->setChecked( true );
}

void DialogPauseOn::traceChecked( bool check )
{
	winputPixel_->setDisabled( check );
	pausex_ = check ? -1 : winputPixel_->pixelX();
}

void DialogPauseOn::xyChanged(int)
{
	pausex_ = winputPixel_->pixelX();
	pausey_ = winputPixel_->pixelY();
}


