/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogresults.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "dialogresults.h"

#include <qlayout.h>
#include <qlabel.h>
#include <qpushbutton.h>

DialogResults::DialogResults( QWidget* parent, const char* name )
:	 QWidget( parent, name, WStyle_Customize | WStyle_NormalBorder |
								WStyle_Dialog | WStyle_Title | WType_TopLevel )
{
	setCaption( "Rsultats" );

	QGridLayout* glayout = new QGridLayout( this ); 
    glayout->setSpacing( 6 );
    glayout->setMargin( 11 );

	QFrame* frame = new QFrame( this, "frame" );
    frame->setFrameShape( QFrame::StyledPanel );
    frame->setFrameShadow( QFrame::Raised );
    QGridLayout* frLayout = new QGridLayout( frame ); 
    frLayout->setSpacing( 6 );
    frLayout->setMargin( 11 );

	labelDriver_ = new QLabel( frame );
	frLayout->addMultiCellWidget( labelDriver_, 0, 0, 0, 3 );
	labelInfo_ = new QLabel( frame );
	frLayout->addMultiCellWidget( labelInfo_, 1, 1, 0, 3 );
	LCDTime_		= addLine( 2, "Temps coul", "minutes", frame, frLayout );
	LCDDistance_	= addLine( 3, "Distance pourcourue", "m", frame, frLayout );
	LCDSpeed_		= addLine( 4, "Vitesse de pointe", "km/h", frame, frLayout );
	LCDSpeedM_		= addLine( 5, "Vitesse moyenne", "km/h", frame, frLayout );

	glayout->addWidget( frame, 0, 0 );

    QPushButton* btnClose = new QPushButton( "Fermer", this );
    glayout->addWidget( btnClose, 1, 0 );
    connect( btnClose, SIGNAL(clicked()), this, SLOT(hide()) );
}

QLCDNumber* 
DialogResults::addLine( int line, const QString& label, const QString& postfix,
									QWidget* parent, QGridLayout* glayout )
{
	glayout->addWidget( new QLabel( label, parent ), line, 0 );
    QLCDNumber* LCDNumber = new QLCDNumber( parent  );
	LCDNumber->setSegmentStyle( QLCDNumber::Flat );
    glayout->addWidget( LCDNumber, line, 2 );
    glayout->addWidget( new QLabel( postfix, parent ), line, 3 );
	return LCDNumber;
}


