/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogresults.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef DIALOGRESULTS_H
#define DIALOGRESULTS_H

#include <qwidget.h>
#include <qlabel.h>
#include <qlcdnumber.h>
class QGridLayout;
class DialogResults : public QWidget
{
public:
	DialogResults( QWidget* parent, const char* name = 0 );

							void setDriver( const QString& name );
							void setInfo( const QString& info );
	template< typename T >	void setTime( T time );
	template< typename T >	void setDistance( T distance );
	template< typename T >	void setSpeedMax( T speed );
	template< typename T >	void setSpeedMean( T speed );

private:
	static QLCDNumber*
	addLine( int line, const QString& label, const QString& postfix,
									QWidget* parent, QGridLayout* glayout );
private:
	QLabel*		labelDriver_;
	QLabel*		labelInfo_;
	QLCDNumber*	LCDTime_;
	QLCDNumber*	LCDDistance_;
	QLCDNumber*	LCDSpeed_;
	QLCDNumber*	LCDSpeedM_;
};

inline void DialogResults::setDriver( const QString& name )
{
	labelDriver_->setText( name );
}

inline void DialogResults::setInfo( const QString& name )
{
	labelInfo_->setText( name );
}

template< typename T >
inline void DialogResults::setTime( T time )
{
	LCDTime_->display( time );
}

template< typename T >
inline void DialogResults::setDistance( T distance )
{
	LCDDistance_->display( distance );
}

template< typename T >
inline void DialogResults::setSpeedMax( T speed )
{
	LCDSpeed_->display( speed );
}

template< typename T >
inline void DialogResults::setSpeedMean( T speed )
{
	LCDSpeedM_->display( speed );
}

#endif	// DIALOGRESULTS_H
