/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dialogpalettecolor.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef DIALOGPALETTECOLOR_H
#define DIALOGPALETTECOLOR_H

//==========================================================================
//	DialogPaletteColor :
//		Affiche toutes les couleurs disponibles pour les pixels.
//
//		Le layout est accessible  un hritier, seul la colonne 0 et la
//		ligne 0 sont utiliss.
//==========================================================================
#include <qdialog.h>

class QGridLayout;
class QColor;
class QButtonGroup;
class DialogPaletteColor : public QDialog
{
Q_OBJECT
public:
	DialogPaletteColor( QWidget* parent, const char* name=0,
														bool modal = false );

	override void	polish();
	void			setColor( const QColor& );

signals:
	void			colorChanged( const QColor& );

protected:
	QGridLayout*	gridLayout_;

private slots:
	void			onClick( int index );

private:
	QButtonGroup*	buttonGroup_;
};

#endif	//	DIALOGPALETTECOLOR_H
