/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: editselectfilewidget.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef EDITSELECTFILEWIDGET_H
#define EDITSELECTFILEWIDGET_H

//==========================================================================
//	EditSelectFileWidget :
//		Affiche une zone de saisie pour un fichier/rpertoire puis un
//		boutton permettant de slectionner le fichier/rpertoire.
//
//		Si le fichier/rpertoire est invalide il sera coloris en rouge.
//==========================================================================

#include <qwidget.h>

class QLineEdit;
class EditSelectFileWidget : public QWidget
{
Q_OBJECT
public:
	enum Type { File, Path };
	EditSelectFileWidget( Type type, QWidget* parent, const char* name=0 );

	void	setFilters( const QString& filters );	// ignor si Type == Path
	void	setFile( const QString& path );
	QString	file() const;

private slots:
	void fileChanged( const QString& path );

	void open();

private:
	Type		type_;
	bool		valid_;
	QString		filters_;
	QPalette	original_;
	QLineEdit*	lineEdit_;
};

inline void	EditSelectFileWidget::setFilters( const QString& filters )
{
	filters_ = filters;
}

#endif	//	EDITSELECTFILEWIDGET_H

