/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: widgetinputpixel.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef WIDGETINPUTPIXEL_H
#define WIDGETINPUTPIXEL_H

#include <qgroupbox.h>
class QSpinBox;
class QLCDNumber;
class WidgetInputPixel : public QGroupBox
{
Q_OBJECT
public:
	WidgetInputPixel( const QString& title, QWidget* parent,
														const char* name=0 );

	void	setXY( int x, int y );

	int		pixelX()	const;
	int		pixelY()	const;
	int		pixel()		const;

signals:
	void valueChanged( int );

private slots:
	void xyChanged( int );

private:
	QSpinBox*	spinBoxX_;
	QSpinBox*	spinBoxY_;

	QLCDNumber*	LCDPixel_;
};

#endif	//	WIDGETINPUTPIXEL_H
