/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: dimensions.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef DIMENSIONS_H
#define DIMENSIONS_H
//============================================================================
//	Toutes les dimensions concernant la piste ou des lments de la piste
//	sont dans l'espace de nom Dim.
//============================================================================

namespace Dim
{
	const int maxX		=	150;
	const int maxY		=	100;
	const int size		=	  5;
	const int maxPixels	=	maxX * maxY;
	const int gap		=	  1;

	inline int numPixel( int x, int y )
	{
		return x + y * Dim::maxX;
	}

	//	Renvoie le n du pixel aux coordonnes coordX et coordY de l'cran.
	inline int numPixelCoords( int coordX, int coordY )
	{
		return	(coordX / (Dim::size+Dim::gap))
			+	(coordY / (Dim::size+Dim::gap) * Dim::maxX)
			;
	}

	//	Test si le n du pixel est valide.
	inline bool numPixelValid( int numPixel )
	{
		return numPixel >= 0 && numPixel < Dim::maxPixels;
	}

	inline bool inStarterArea( int x, int y )
	{
		return x>=20 && x<=59 && y>=2 && y<=6;
	}
};

#endif	//	DIMENSIONS_H
