/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: trackpixmap.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef TRACKPIXMAP_H
#define TRACKPIXMAP_H

//============================================================================
//	TrackPixmap:	mmorise une zone de la piste.
//============================================================================
#include <qlist.h>
#include <qrect.h>
#include "pixel/shapepixel.h"

class TrackPixmap
{
public:
	class PixelInfo
	{
	public:
		PixelInfo( int num, const ShapePixel& sp );

		int					num()	const;
		const ShapePixel&	shape()	const;

	private:
		const int			num_;
		const ShapePixel&	shape_;
	};

	typedef QListIterator<PixelInfo> Iterator;

public:
	TrackPixmap( const QRect& rect );

	void			addPixel( int num, const ShapePixel& sp );
	Iterator		iterator()	const;	// obtenir les pixels.
	const QRect&	rect()		const;	// region  repaindre.

private:
	const QRect			rect_;
	QList<PixelInfo>	listPixels_;	// FIXME: vector => on peut connatre
										// le nombre de pixels.
};















//	===============================
//	Fonctions inlines de PixelInfo.
//	===============================
inline TrackPixmap::PixelInfo::PixelInfo( int num, const ShapePixel& sp )
:	 num_(num)
	,shape_(sp)
{}

inline int TrackPixmap::PixelInfo::num()	const
{
	return num_; 
}

inline const ShapePixel& TrackPixmap::PixelInfo::shape()	const
{
	return shape_; 
}

//	=================================
//	Fonctions inlines de TrackPixmap.
//	=================================
inline TrackPixmap::TrackPixmap( const QRect& rect )
:	 rect_(rect)
{
	listPixels_.setAutoDelete( true );
}

inline void TrackPixmap::addPixel( int num, const ShapePixel& sp )
{
	listPixels_.append( new PixelInfo( num, sp ) );
}

inline TrackPixmap::Iterator TrackPixmap::iterator() const
		{ return Iterator(listPixels_); }

inline const QRect& TrackPixmap::rect() const { return rect_; }

#endif	//	TRACKPIXMAP_H

