/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: wizardhelp.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "wizardhelp.h"

#include <qpushbutton.h>
#include <qtextview.h>
#include <qwidget.h>
#include <qlayout.h>

#include <qfile.h>
#include <qtextstream.h>

WizardHelp::WizardHelp( QWidget* parent,  const char* name )
:	 QWizard( parent, name, false, WDestructiveClose )
{
	setCaption( "Aide" );
	page_[Editor]		= makePage( "diteur",		"aide_editeur.txt" );
	page_[Simulator]	= makePage( "Simulateur",	"aide_simulateur.txt" );
	page_[Log]			= makePage( "Log",			"aide_log.txt" );

	resize( 510, 350 );
	connect( cancelButton(), SIGNAL(clicked()), SLOT(close()) );
}

QWidget* WizardHelp::makePage( const char* title, const char* helpFile )
{
	QWidget*		page		= new QWidget( this );
	QGridLayout*	pageLayout	= new QGridLayout( page, 6 ); 

	QTextView*		textView	= new QTextView( page );
	pageLayout->addWidget( textView, 0, 0 );

	QFile file( helpFile );
	if ( ! file.open( IO_ReadOnly ) )
		textView->setText( "Impossible d'ouvrir: " + file.name() );
	else
	{
		QTextStream stream( &file );
		textView->setText( stream.read() );
	}

	addPage( page, title );

	return page;
}

